<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up()
    {
        Schema::table('responses', function (Blueprint $table) {
            $table->foreignId('user_id')->nullable()->change();

            $table->string('respondent_name')->nullable();
            $table->string('respondent_no_pekerja')->nullable();
            $table->string('respondent_jabatan')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('responses', function (Blueprint $table) {
            //
        });
    }
};
